include ../../../../../layout/components/rodapeCadastro

#caracterizacao

	div.form-group
		h4 Solicitação finalizada com sucesso!
	
	// Componente dados empreendimento
	dados-empreendimento(id="finalizacao.idEmpreendimento", empreendimento="")

	section
		div
			blockquote.success
				span 
					| Licença Solicitada:  
				div(ng-repeat="caracterizacao in finalizacao.caracterizacoes")
					label {{caracterizacao.tipoLicenca.nome}}

			blockquote.success(ng-repeat='atividadeCaracterizacao in finalizacao.caracterizacao.atividadesCaracterizacao | existeAtividadeCaracterizacao')
				h4.nome-campo-caracterizacao Tipologia:
				h5.info-caracterizacao {{atividadeCaracterizacao.atividade.tipologia.nome}}

				span.nome-campo Atividade(s) Licenciada(s):
					ul
						li
							h4.atividade
								b {{atividadeCaracterizacao.atividade.nome}} - {{atividadeCaracterizacao.isPrincipal === true ? "Atividade principal" : "Atividade complementar" }}
							ul
								li
									b Porte:&nbsp
									| {{atividadeCaracterizacao.porteEmpreendimento.nome}}
								li
									b Código:&nbsp
									| {{atividadeCaracterizacao.atividade.codigo}} - {{atividadeCaracterizacao.atividade.nome}}
								li
									b Potencial Poluidor Degradador - PPD:&nbsp
									| {{atividadeCaracterizacao.atividade.potencialPoluidor.valorPpd}}
								li
									b Estudo disponibilizado:&nbsp
									| {{atividadeCaracterizacao.atividade.tipoEstudo}}
							h5.no-margin-bottom Parâmetros:
							div.div-params-enquadramento
								ul
									li(ng-repeat='atividadeCaracterizacaoParametro in atividadeCaracterizacao.atividadeCaracterizacaoParametros')
										span.textos-enquadramento {{atividadeCaracterizacaoParametro.parametroAtividade.codigo}} - {{getDescricao(atividadeCaracterizacao,atividadeCaracterizacaoParametro)}}:&nbsp;
										| {{formataParametros(atividadeCaracterizacaoParametro.valorParametro, atividadeCaracterizacaoParametro.parametroAtividade.casasDecimais)}}

								div(ng-if='empreendimento.empreendimentoEU.pessoa.cpf', ng-repeat='atividadeCnae in atividadeCaracterizacao.atividadesCnae')
									span.textos-cnaes
										b CNAE: 
										| {{atividadeCnae.nome}}
								div(ng-if="empreendimento.empreendimentoEU.pessoa.cnpj", ng-repeat='atividadeCnae in atividadeCaracterizacao.atividadesCnae')
									span.textos-cnaes
										b CNAE: 
										| {{atividadeCnae.codigo}} - {{atividadeCnae.nome}}

			.row
				.col-xs-12.col-md-4(ng-repeat="caracterizacao in finalizacao.caracterizacoes")
					div.panel.panel-default
						div.panel-heading
							| Informações de pagamento
						div.panel-body
							span {{caracterizacao.tipoLicenca.nome}}
							div
								| Taxa da licença: &nbsp;
								strong.strong-padding(ng-if='caracterizacao.daeLicenciamento.isento')
									| Isento
								strong.strong-padding(ng-if='!caracterizacao.daeLicenciamento.isento')
									| R$ {{caracterizacao.daeLicenciamento.valor | number : 2}}
						div.panel-footer(ng-if='!caracterizacao.daeLicenciamento.isento')
							button.btn.btn-success.btn-block(ng-click='finalizacao.processaDae(caracterizacao)', tabindex="0")
								i.fa(ng-class="{'fa-download': caracterizacao.daeLicenciamento.status === 'EMITIDO', 'fa-money': caracterizacao.daeLicenciamento.status !== 'EMITIDO'}")
								|   {{caracterizacao.daeLicenciamento.status === 'EMITIDO' ? 'Baixar' : 'Emitir'}} Guia
	div.row

		div.pull-right.col-sm-2
		
			button.btn.btn-success.btn-block(ng-click='finalizacao.goCaracterizacoes()', tabindex="0")
				| Solicitações   
				span.glyphicon.glyphicon-chevron-right